Exchange a GitHub Actions OIDC token for an Argos token
Called by GitHub Actions to exchange an OIDC token for a short-lived Argos project token.
Called by GitHub Actions to exchange an OIDC token for a short-lived Argos project token.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/auth/github-actions/oidc/exchange" \ -H "Content-Type: application/json" \ -d '{ "oidcToken": "string" }'{ "token": "string", "expiresAt": "string"}Exchange a CLI authorization code for a token POST
Called by the CLI to exchange a PKCE authorization code for an API token.
Exchange a tokenless GitHub Actions token for an Argos token POST
Called by GitHub Actions to exchange a tokenless bearer token for a short-lived Argos project token. The provided commit and branch must match the GitHub workflow run.